Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00578 Crash/Freeze Critical (emulation) Always Jan 31, 2008, 01:39 Apr 26, 2010, 17:47
Tester Fujix View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver deco_mlc.cpp
Version 0.115u1 Fixed in Version 0.128u3 Build
Summary 00578: hoops96: Game crashes when you press the test key.
Description When you press the test key to reset options on the first bootup, the game crashes. It works in 0.112 and if you make a .nv file with it, the game works in 0.115u1.

(gdb) run hoops96
Starting program: C:\mame/mame.exe hoops96

Program received signal SIGSEGV, Segmentation fault.
0x0113da0d in cpu_readop32 (A=13991940) at src/emu/memory.h:1101
1101 INLINE UINT32 cpu_readop32(offs_t A) { if (address_is_unsafe(
A)) { memory_set_opbase(A); } return cpu_readop32_unsafe(A); }
(gdb) bt full
#0 0x0113da0d in cpu_readop32 (A=13991940) at src/emu/memory.h:1101
No locals.
#1 0x0113d624 in arm_execute (cycles=943) at src/emu/cpu/arm/arm.c:330
        pc = 550862854
        insn = 396030219
#2 0x00ecf257 in cpunum_execute (cpunum=0, cycles=943)
    at src/emu/cpuintrf.c:1389
        ran = 0
#3 0x00f171b1 in cpuexec_timeslice () at src/emu/cpuexec.c:502
        target = {seconds = 3, subseconds = 551185344827586090}
        base = {seconds = 3, subseconds = 551117995689655056}
        cpunum = 0
        ran = 6600
#4 0x00eab38d in run_game (driver=0x152b920) at src/emu/mame.c:346
        settingsloaded = 1
        machine = (running_machine *) 0x6e21d78
        error = 0
        firstrun = 0
        mame = (mame_private *) 0x6e31d78
        cb = (callback_item *) 0x4871ff8
#5 0x00f4c50c in cli_execute (argc=2, argv=0x4851ff8, osd_options=0x2233780)
    at src/emu/clifront.c:268
        exename = 0x4881ff7 "mame"
        sourcename = 0x6e11ff5 "deco_mlc"
        gamename = 0x6e01ff8 "hoops96"
        driver = (const game_driver *) 0x152b920
        drv = {driver_data_size = 0, cpu = {{cpu_type = 104, cpu_flags = 0,
      cpu_clock = 7000000, construct_map = {{0x574c4a <construct_map_readmem>,
          0x575010 <construct_map_writemem>}, {0, 0}, {0, 0}},
      vblank_interrupt = 0, vblank_interrupts_per_frame = 0,
      timed_interrupt = 0, timed_interrupt_period = 0, reset_param = 0x0,
      tag = 0x0}, {cpu_type = 0, cpu_flags = 0, cpu_clock = 0,
      construct_map = {{0, 0}, {0, 0}, {0, 0}}, vblank_interrupt = 0,
      vblank_interrupts_per_frame = 0, timed_interrupt = 0,
      timed_interrupt_period = 0, reset_param = 0x0, tag = 0x0}, {
      cpu_type = 0, cpu_flags = 0, cpu_clock = 0, construct_map = {{0, 0}, {0,
          0}, {0, 0}}, vblank_interrupt = 0, vblank_interrupts_per_frame = 0,
      timed_interrupt = 0, timed_interrupt_period = 0, reset_param = 0x0,
      tag = 0x0}, {cpu_type = 0, cpu_flags = 0, cpu_clock = 0,
      construct_map = {{0, 0}, {0, 0}, {0, 0}}, vblank_interrupt = 0,
      vblank_interrupts_per_frame = 0, timed_interrupt = 0,
      timed_interrupt_period = 0, reset_param = 0x0, tag = 0x0}, {
      cpu_type = 0, cpu_flags = 0, cpu_clock = 0, construct_map = {{0, 0}, {0,
          0}, {0, 0}}, vblank_interrupt = 0, vblank_interrupts_per_frame = 0,
      timed_interrupt = 0, timed_interrupt_period = 0, reset_param = 0x0,
      tag = 0x0}, {cpu_type = 0, cpu_flags = 0, cpu_clock = 0,
      construct_map = {{0, 0}, {0, 0}, {0, 0}}, vblank_interrupt = 0,
      vblank_interrupts_per_frame = 0, timed_interrupt = 0,
      timed_interrupt_period = 0, reset_param = 0x0, tag = 0x0}, {
      cpu_type = 0, cpu_flags = 0, cpu_clock = 0, construct_map = {{0, 0}, {0,
          0}, {0, 0}}, vblank_interrupt = 0, vblank_interrupts_per_frame = 0,
      timed_interrupt = 0, timed_interrupt_period = 0, reset_param = 0x0,
      tag = 0x0}, {cpu_type = 0, cpu_flags = 0, cpu_clock = 0,
      construct_map = {{0, 0}, {0, 0}, {0, 0}}, vblank_interrupt = 0,
      vblank_interrupts_per_frame = 0, timed_interrupt = 0,
      timed_interrupt_period = 0, reset_param = 0x0, tag = 0x0}},
  cpu_slices_per_frame = 0, watchdog_vblank_count = 0, watchdog_time = 0,
  machine_start = 0, machine_reset = 0x57531a <machine_reset_mlc>,
  nvram_handler = 0xf13437 <nvram_handler_93C46>, memcard_handler = 0,
  video_attributes = 0, gfxdecodeinfo = 0x18906b0, total_colors = 2048,
  color_table_len = 0, default_layout = 0x0, screen = {{
      tag = 0x2239ec0 "main", palette_base = 0, defstate = {width = 320,
        height = 256, visarea = {min_x = 0, max_x = 319, min_y = 8,
          max_y = 247}, oldstyle_vblank_supplied = 0 '\0',
        refresh = 17241379310344827, vblank = 0,
        format = BITMAP_FORMAT_RGB32}}, {tag = 0x0, palette_base = 0,
      defstate = {width = 0, height = 0, visarea = {min_x = 0, max_x = 0,
          min_y = 0, max_y = 0}, oldstyle_vblank_supplied = 0 '\0',
        refresh = 0, vblank = 0, format = BITMAP_FORMAT_INVALID}}, {tag = 0x0,
      palette_base = 0, defstate = {width = 0, height = 0, visarea = {
          min_x = 0, max_x = 0, min_y = 0, max_y = 0},
        oldstyle_vblank_supplied = 0 '\0', refresh = 0, vblank = 0,
        format = BITMAP_FORMAT_INVALID}}, {tag = 0x0, palette_base = 0,
      defstate = {width = 0, height = 0, visarea = {min_x = 0, max_x = 0,
          min_y = 0, max_y = 0}, oldstyle_vblank_supplied = 0 '\0',
        refresh = 0, vblank = 0, format = BITMAP_FORMAT_INVALID}}, {tag = 0x0,
      palette_base = 0, defstate = {width = 0, height = 0, visarea = {
          min_x = 0, max_x = 0, min_y = 0, max_y = 0},
        oldstyle_vblank_supplied = 0 '\0', refresh = 0, vblank = 0,
        format = BITMAP_FORMAT_INVALID}}, {tag = 0x0, palette_base = 0,
      defstate = {width = 0, height = 0, visarea = {min_x = 0, max_x = 0,
          min_y = 0, max_y = 0}, oldstyle_vblank_supplied = 0 '\0',
        refresh = 0, vblank = 0, format = BITMAP_FORMAT_INVALID}}, {tag = 0x0,
      palette_base = 0, defstate = {width = 0, height = 0, visarea = {
          min_x = 0, max_x = 0, min_y = 0, max_y = 0},
        oldstyle_vblank_supplied = 0 '\0', refresh = 0, vblank = 0,
        format = BITMAP_FORMAT_INVALID}}, {tag = 0x0, palette_base = 0,
      defstate = {width = 0, height = 0, visarea = {min_x = 0, max_x = 0,
          min_y = 0, max_y = 0}, oldstyle_vblank_supplied = 0 '\0',
        refresh = 0, vblank = 0, format = BITMAP_FORMAT_INVALID}}},
  init_palette = 0, video_start = 0x5af310 <video_start_mlc>, video_reset = 0,
  video_eof = 0x5b033e <video_eof_mlc>,
  video_update = 0x5b0364 <video_update_mlc>, sound = {{sound_type = 24,
      clock = 14000000, config = 0x152b7c8, tag = 0x0, routes = 2, route = {{
          output = 0, target = 0x189071a "left", gain = 1}, {output = 1,
          target = 0x189071f "right", gain = 1}, {output = 0, target = 0x0,
          gain = 0} <repeats 14 times>}}, {sound_type = 0, clock = 0,
      config = 0x0, tag = 0x0, routes = 0, route = {{output = 0, target = 0x0,
          gain = 0} <repeats 16 times>}} <repeats 31 times>}, speaker = {{
      tag = 0x189071a "left", x = -0.200000003, y = 0, z = 1}, {
      tag = 0x189071f "right", x = 0.200000003, y = 0, z = 1}, {tag = 0x0,
      x = 0, y = 0, z = 0}, {tag = 0x0, x = 0, y = 0, z = 0}},
  sound_start = 0, sound_reset = 0}
        result = -1
#6 0x00e60429 in utf8_main (argc=2, argv=0x4851ff8)
    at src/osd/windows/winmain.c:280
        ext = 0x288cda4 ".map"
#7 0x014ebb9b in main (argc=2, a_argv=0x4430450) at src/osd/windows/main.c:67
        i = 2
        rc = 68156920
        utf8_argv = (char **) 0x4851ff8
        argv = (TCHAR **) 0x4430450
Steps To Reproduce
Additional Information
Flags
Regression Version 0.113u1
Affected Sets / Systems hoops96
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.06008
Tafoid
Administrator
Apr 24, 2010, 21:12
Corrected regression/fixed in report
User avatar
No.06010
M.A.S.H.
Senior Tester
Apr 25, 2010, 13:40
The fixed version is 0.128u4, not u3. It only works in 0.128u4!
But it is not really fixed, in 0.113 it shows the TEST menu.
User avatar
No.06011
Tafoid
Administrator
Apr 26, 2010, 14:46
u3 .. the crashing stops. This is the only item this bug covers. Even if in u3 the game hangs - it no longer crashed so that was the regression version. u4 and onwards has it resetting which isn't correct either, but is already mentioned in 00017
User avatar
No.06012
M.A.S.H.
Senior Tester
Apr 26, 2010, 17:42
My MAME 0.128u3 version crashes with the same ERROR message like
the 0.128u2 version.
User avatar
No.06013
Tafoid
Administrator
Apr 26, 2010, 17:47
edited on: Apr 26, 2010, 17:48
I tested this morning and it didn't crash, I swear :)
Just checked 0.128u3 again and it's crashing. I'll change the fix version
I'm likely to reopen or make a new bug regarding the inability to enter Service Mode.